All of lore.kernel.org
 help / color / mirror / Atom feed
From: "Matthieu Baerts (NGI0)" <matttbe@kernel.org>
To: mptcp@lists.linux.dev, Mat Martineau <martineau@kernel.org>,
	 Geliang Tang <geliang@kernel.org>,
	"David S. Miller" <davem@davemloft.net>,
	 Eric Dumazet <edumazet@google.com>,
	Jakub Kicinski <kuba@kernel.org>,
	 Paolo Abeni <pabeni@redhat.com>, Florian Westphal <fw@strlen.de>,
	 Kishen Maloor <kishen.maloor@intel.com>,
	Shuah Khan <shuah@kernel.org>,
	 Peter Krystad <peter.krystad@linux.intel.com>,
	 Christoph Paasch <cpaasch@apple.com>
Cc: netdev@vger.kernel.org, linux-kernel@vger.kernel.org,
	 linux-kselftest@vger.kernel.org,
	 "Matthieu Baerts (NGI0)" <matttbe@kernel.org>,
	 Geliang Tang <tanggeliang@kylinos.cn>,
	stable@vger.kernel.org
Subject: [PATCH net 07/10] selftests: mptcp: join: add ss mptcp support check
Date: Fri, 23 Feb 2024 17:14:17 +0100	[thread overview]
Message-ID: <20240223-upstream-net-20240223-misc-fixes-v1-7-162e87e48497@kernel.org> (raw)
In-Reply-To: <20240223-upstream-net-20240223-misc-fixes-v1-0-162e87e48497@kernel.org>

From: Geliang Tang <tanggeliang@kylinos.cn>

Commands 'ss -M' are used in script mptcp_join.sh to display only MPTCP
sockets. So it must be checked if ss tool supports MPTCP in this script.

Fixes: e274f7154008 ("selftests: mptcp: add subflow limits test-cases")
Cc: stable@vger.kernel.org
Signed-off-by: Geliang Tang <tanggeliang@kylinos.cn>
Reviewed-by: Matthieu Baerts (NGI0) <matttbe@kernel.org>
Signed-off-by: Matthieu Baerts (NGI0) <matttbe@kernel.org>
---
 tools/testing/selftests/net/mptcp/mptcp_join.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/tools/testing/selftests/net/mptcp/mptcp_join.sh b/tools/testing/selftests/net/mptcp/mptcp_join.sh
index e68b1bc2c2e4..e4581b0dfb96 100755
--- a/tools/testing/selftests/net/mptcp/mptcp_join.sh
+++ b/tools/testing/selftests/net/mptcp/mptcp_join.sh
@@ -161,6 +161,11 @@ check_tools()
 		exit $ksft_skip
 	fi
 
+	if ! ss -h | grep -q MPTCP; then
+		echo "SKIP: ss tool does not support MPTCP"
+		exit $ksft_skip
+	fi
+
 	# Use the legacy version if available to support old kernel versions
 	if iptables-legacy -V &> /dev/null; then
 		iptables="iptables-legacy"

-- 
2.43.0


  parent reply	other threads:[~2024-02-23 16:15 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-02-23 16:14 [PATCH net 00/10] mptcp: more misc. fixes for v6.8 Matthieu Baerts (NGI0)
2024-02-23 16:14 ` [PATCH net 01/10] mptcp: map v4 address to v6 when destroying subflow Matthieu Baerts (NGI0)
2024-02-23 16:14 ` [PATCH net 02/10] selftests: mptcp: rm subflow with v4/v4mapped addr Matthieu Baerts (NGI0)
2024-02-23 16:14 ` [PATCH net 03/10] mptcp: avoid printing warning once on client side Matthieu Baerts (NGI0)
2024-02-23 16:14 ` [PATCH net 04/10] mptcp: push at DSS boundaries Matthieu Baerts (NGI0)
2024-02-23 16:14 ` [PATCH net 05/10] mptcp: fix snd_wnd initialization for passive socket Matthieu Baerts (NGI0)
2024-02-23 16:35   ` [PATCH net 05/10] mptcp: fix snd_wnd initialization for passive socket: manual merge Matthieu Baerts
2024-02-23 16:14 ` [PATCH net 06/10] mptcp: fix potential wake-up event loss Matthieu Baerts (NGI0)
2024-02-23 16:14 ` Matthieu Baerts (NGI0) [this message]
2024-02-23 16:14 ` [PATCH net 08/10] mptcp: fix double-free on socket dismantle Matthieu Baerts (NGI0)
2024-02-23 16:14 ` [PATCH net 09/10] mptcp: fix possible deadlock in subflow diag Matthieu Baerts (NGI0)
2024-02-23 16:14 ` [PATCH net 10/10] selftests: mptcp: explicitly trigger the listener diag code-path Matthieu Baerts (NGI0)
2024-02-26 17:58   ` Simon Horman
2024-03-01 14:37   ` Jakub Kicinski
2024-03-01 15:10     ` Matthieu Baerts
2024-03-01 18:24       ` Matthieu Baerts
2024-03-01 18:55         ` Jakub Kicinski
2024-02-27  3:10 ` [PATCH net 00/10] mptcp: more misc. fixes for v6.8 patchwork-bot+netdevbpf

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20240223-upstream-net-20240223-misc-fixes-v1-7-162e87e48497@kernel.org \
    --to=matttbe@kernel.org \
    --cc=cpaasch@apple.com \
    --cc=davem@davemloft.net \
    --cc=edumazet@google.com \
    --cc=fw@strlen.de \
    --cc=geliang@kernel.org \
    --cc=kishen.maloor@intel.com \
    --cc=kuba@kernel.org \
    --cc=linux-kernel@vger.kernel.org \
    --cc=linux-kselftest@vger.kernel.org \
    --cc=martineau@kernel.org \
    --cc=mptcp@lists.linux.dev \
    --cc=netdev@vger.kernel.org \
    --cc=pabeni@redhat.com \
    --cc=peter.krystad@linux.intel.com \
    --cc=shuah@kernel.org \
    --cc=stable@vger.kernel.org \
    --cc=tanggeliang@kylinos.cn \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.